Vulnerabilities in thenify 3.3.1